//
//  MenuLab.swift
//  MenuText
//
//  Created by 杜博 on 2017/2/7.
//  Copyright © 2017年 杜博. All rights reserved.
//

import UIKit
class MenuLab: UILabel {
    
    //MARK: 通过Xib初始化, 并绑定事件
    override func awakeFromNib()
    {
        // 用户交互
        self.isUserInteractionEnabled = true
                self.isUserInteractionEnabled = true
                let longprss : UILongPressGestureRecognizer = UILongPressGestureRecognizer(target: self, action: #selector(MenuLab.labelClick))
                self.addGestureRecognizer(longprss)
//        // 绑定手势
//        self.addGestureRecognizer(UITapGestureRecognizer.init(target: self, action: #selector(MenuLab.labelClick)))
    }
    
    private lazy var menuController:UIMenuController = {
        let menu = UIMenuController.shared
        let deleteItem = UIMenuItem(title: "Delete", action: #selector(self.deleteLine))
        let editItems = UIMenuItem(title: "Edit", action: #selector(self.editRow))
        menu.menuItems = [deleteItem ,editItems]
        menu.arrowDirection = .down
        
        return menu
    }()
    
    
    
    func labelClick()
    {
        
        menuController.setTargetRect(self.bounds, in: self)
        menuController.setMenuVisible(true, animated: true)
        
        
    }
    
    //MARK: 呵呵哒, 测试方法
    func deleteLine() {
        
        
    }
    
    func editRow() {
        
    }
    //    //MARK: 让Lable具备成为第一响应者的资格
    override var canBecomeFirstResponder: Bool{
        return true
    }
    
    override func canPerformAction(_ action: Selector, withSender sender: Any?) -> Bool {
        if(action == #selector(self.deleteLine) || action == #selector(self.editRow))
        {
            return true;
            
        }
        else
        {
            return false;
        }
        
    }
    
}


