//
//  ViewController.swift
//  MenuText
//
//  Created by 杜博 on 2017/2/7.
//  Copyright © 2017年 杜博. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    @IBOutlet weak var lable: UILabel!
    
    private lazy var menuController:UIMenuController = {
        let menu = UIMenuController.shared
        let deleteItem = UIMenuItem(title: "Delete", action: #selector(self.deleteLine))
        let editItems = UIMenuItem(title: "Edit", action: #selector(self.editRow))
        menu.menuItems = [deleteItem ,editItems]
         menu.arrowDirection = .down
     
        return menu
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.lable.isUserInteractionEnabled = true
        let longprss : UILongPressGestureRecognizer = UILongPressGestureRecognizer(target: self, action: #selector(ViewController.labAction))
        self.lable.addGestureRecognizer(longprss)
    
    }
    func labAction(){
        
        menuController.setTargetRect(self.lable.bounds, in: self.lable)
        menuController.setMenuVisible(true, animated: true)
        
        
    }
    override var canBecomeFirstResponder : Bool {
        return true
    }
    
    override func canPerformAction(_ action: Selector, withSender sender: Any?) -> Bool {
        if(action == #selector(self.deleteLine) || action == #selector(self.editRow))
        {
            return true;
            
        }
        else
        {
            return false;
        }
    }
    
    func deleteLine() {
        
        
    }
    
    func editRow() {
        
     }
    

    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}
